[C系统]2.3.系统DBUS接口能力测试失败

02/11/2025 10:54 - 天驰 王

Status: Closed Start date: 02/11/2025

Priority: Normal Due date:  

Assignee: 天驰 王 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 20250210165111_606b632_emei_ker_fs

_fwk

复现概率: 100%

Description

【操作路径】:

1、Telnet 或串口登录至网关

2、通过tftp命令将DBUS测试工具及对应的XML文件拷贝至网关同一目录下，赋权，运行DBUS程序（不进入中间件）

tftp -gr 文件名 PC的IP地址

chmod +x testdbus_VF3.00.0022_20250108_arm_superelectron_MIXK510

./testdbus_VF3.00.0022_20250108_arm_superelectron_MIXK510 &

【实际结果】:

p #

/tmp # ./testdbus_VF3.00.0022_20250108_arm_superelectron_MIXK510 &

/tmp #

/tmp #

/tmp #

/tmp # err msg: Timeout was reached

err msg: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface “com.cuc.igd1.Properties” on object at path

/com/cuc/igd1/Storage/USB/Devices/1

[DEBUG] GetInternetConnIndex begin

[DEBUG] Method GetInternetConnIndex : com.cuc.igd1 , /com/cuc/igd1/Info/Network/WANConnectionDb,

com.cuc.igd1.WANConnectManager, timeout -1, no parameters

[DEBUG] call GetInternetConnIndex error, Timeout was reached

[DEBUG] Method GetInternetConnIndex end,  ret = -1

[DEBUG] call method GetInternetConnIndex failed.

[DEBUG] end

[ERROR] getInternetWANIndex failed, -1,0

[1]+  Done(40)                   ./testdbus_VF3.00.0022_20250108_arm_superelectron_MIXK510

/tmp #

/tmp #

/tmp #

【预期结果】

所有测试项全部通过，测试结果统计中，Fail项应该为0，结果为SUCCESS。

History

#1 - 02/11/2025 11:58 - 家衡 付

- Status changed from New to Resolved

- Assignee changed from 家衡 付 to 天驰 王

Try `ip6tables -h' or 'ip6tables --help' for more information.

ip6tables: No chain/target/match by that name.

ip6tables: No chain/target/match by that name.

/com/cuc/igd1/Firewall/L2TPVPN,,,RemoveAllObjects,,398,OK,Not time out,RemoveAllObjects,,

[DEBUG] =========Enter dbus_parse_interface=========

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/LanOptic

[DEBUG] new_path: /com/cuc/igd1/FTTR/LanOptic;

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave

[DEBUG] new_path: /com/cuc/igd1/FTTR/Slave;
[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave/{i}/Info/Device

[DEBUG] Find No Object Instance!

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave/{i}/Info/PON

[DEBUG] Find No Object Instance!

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave/{i}/Info/Network

[DEBUG] Find No Object Instance!

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave/{i}/Unicom/System

[DEBUG] Find No Object Instance!

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave/{i}/Info/WiFi

[DEBUG] Find No Object Instance!

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave/{i}/Config/WLAN/Devices

[DEBUG] Find No Object Instance!

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave/{i}/Config/WLAN/Devices/{i}

[DEBUG] Find No Object Instance!

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave/{i}/Config/Peripheral/LED

[DEBUG] Find No Object Instance!

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave/{i}/Config/EthernetConfig

[DEBUG] Find No Object Instance!

[DEBUG] =========Enter dbus_obj_path_process=========

[DEBUG] path: /com/cuc/igd1/FTTR/Slave/{i}/Config/EthernetConfig/{i}

[DEBUG] Find No Object Instance! 

DBUS TEST RESULT STATS        ** **********************************************

[TestCase] Total: 1754; Pass: 1754; Fail: 0

[Result]   SUCCESS!

TestTime:2025-2-11 11:56:29

The progamming will quit after 5s!

commit_proc: flag=10

[1]+  Done                       ./testdbus_VF3.00.0022_20250108_arm_superelectron_MIXK510

/tmp #
#2 - 02/13/2025 17:25 - 天驰 王

- Status changed from Resolved to Closed
